Page MenuHomePhabricator

If the last assessment on a page is deleted, the page_assessments record for it doesn't get deleted
Closed, ResolvedPublic1 Story Points

Description

Normally when you delete an assessment record from a page (e.g. {{#assessment:Physics|A|Mid}}), it also removed the corresponding record in the page_assessments table. But if the record that is being deleted is the last one on the page (or they are all being deleted), it will not delete the corresponding record from the database.

Event Timeline

kaldari created this task.Sep 6 2016, 6:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2016, 6:36 PM
kaldari triaged this task as High priority.Sep 6 2016, 6:37 PM
kaldari set the point value for this task to 1.
kaldari moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 308790 had a related patch set uploaded (by Kaldari):
Make sure doUpdates is run even if there is no assessment data

https://gerrit.wikimedia.org/r/308790

Change 308790 merged by jenkins-bot:
Make sure doUpdates is run even if there is no assessment data

https://gerrit.wikimedia.org/r/308790

Change 308799 had a related patch set uploaded (by Kaldari):
Make sure doUpdates is run even if there is no assessment data

https://gerrit.wikimedia.org/r/308799

Change 308799 merged by jenkins-bot:
Make sure doUpdates is run even if there is no assessment data

https://gerrit.wikimedia.org/r/308799

kaldari closed this task as Resolved.Sep 7 2016, 12:50 AM

Confirmed fixed on test.wiki.

DannyH moved this task from Untriaged to Archive on the Community-Tech board.Sep 13 2016, 11:39 PM